<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DevolveDocumentosPagosMBResponse StructType
 * @subpackage Structs
 */
class DevolveDocumentosPagosMBResponse extends AbstractStructBase
{
    /**
     * The DevolveDocumentosPagosMBResult
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $DevolveDocumentosPagosMBResult;
    /**
     * The TabelaDocumentosIntegracaoMB
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TabelaDocumentosIntegracaoMB
     */
    public $TabelaDocumentosIntegracaoMB;
    /**
     * The TabelaPagamentosMB
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TabelaPagamentosMB
     */
    public $TabelaPagamentosMB;
    /**
     * The mensagem
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $mensagem;
    /**
     * The sucesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $sucesso;
    /**
     * Constructor method for DevolveDocumentosPagosMBResponse
     * @uses DevolveDocumentosPagosMBResponse::setDevolveDocumentosPagosMBResult()
     * @uses DevolveDocumentosPagosMBResponse::setTabelaDocumentosIntegracaoMB()
     * @uses DevolveDocumentosPagosMBResponse::setTabelaPagamentosMB()
     * @uses DevolveDocumentosPagosMBResponse::setMensagem()
     * @uses DevolveDocumentosPagosMBResponse::setSucesso()
     * @param bool $devolveDocumentosPagosMBResult
     * @param \StructType\TabelaDocumentosIntegracaoMB $tabelaDocumentosIntegracaoMB
     * @param \StructType\TabelaPagamentosMB $tabelaPagamentosMB
     * @param string $mensagem
     * @param bool $sucesso
     */
    public function __construct($devolveDocumentosPagosMBResult = null, \StructType\TabelaDocumentosIntegracaoMB $tabelaDocumentosIntegracaoMB = null, \StructType\TabelaPagamentosMB $tabelaPagamentosMB = null, $mensagem = null, $sucesso = null)
    {
        $this
            ->setDevolveDocumentosPagosMBResult($devolveDocumentosPagosMBResult)
            ->setTabelaDocumentosIntegracaoMB($tabelaDocumentosIntegracaoMB)
            ->setTabelaPagamentosMB($tabelaPagamentosMB)
            ->setMensagem($mensagem)
            ->setSucesso($sucesso);
    }
    /**
     * Get DevolveDocumentosPagosMBResult value
     * @return bool|null
     */
    public function getDevolveDocumentosPagosMBResult()
    {
        return $this->DevolveDocumentosPagosMBResult;
    }
    /**
     * Set DevolveDocumentosPagosMBResult value
     * @param bool $devolveDocumentosPagosMBResult
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public function setDevolveDocumentosPagosMBResult($devolveDocumentosPagosMBResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($devolveDocumentosPagosMBResult) && !is_bool($devolveDocumentosPagosMBResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($devolveDocumentosPagosMBResult)), __LINE__);
        }
        $this->DevolveDocumentosPagosMBResult = $devolveDocumentosPagosMBResult;
        return $this;
    }
    /**
     * Get TabelaDocumentosIntegracaoMB value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TabelaDocumentosIntegracaoMB|null
     */
    public function getTabelaDocumentosIntegracaoMB()
    {
        return isset($this->TabelaDocumentosIntegracaoMB) ? $this->TabelaDocumentosIntegracaoMB : null;
    }
    /**
     * Set TabelaDocumentosIntegracaoMB value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\TabelaDocumentosIntegracaoMB $tabelaDocumentosIntegracaoMB
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public function setTabelaDocumentosIntegracaoMB(\StructType\TabelaDocumentosIntegracaoMB $tabelaDocumentosIntegracaoMB = null)
    {
        if (is_null($tabelaDocumentosIntegracaoMB) || (is_array($tabelaDocumentosIntegracaoMB) && empty($tabelaDocumentosIntegracaoMB))) {
            unset($this->TabelaDocumentosIntegracaoMB);
        } else {
            $this->TabelaDocumentosIntegracaoMB = $tabelaDocumentosIntegracaoMB;
        }
        return $this;
    }
    /**
     * Get TabelaPagamentosMB value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TabelaPagamentosMB|null
     */
    public function getTabelaPagamentosMB()
    {
        return isset($this->TabelaPagamentosMB) ? $this->TabelaPagamentosMB : null;
    }
    /**
     * Set TabelaPagamentosMB value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\TabelaPagamentosMB $tabelaPagamentosMB
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public function setTabelaPagamentosMB(\StructType\TabelaPagamentosMB $tabelaPagamentosMB = null)
    {
        if (is_null($tabelaPagamentosMB) || (is_array($tabelaPagamentosMB) && empty($tabelaPagamentosMB))) {
            unset($this->TabelaPagamentosMB);
        } else {
            $this->TabelaPagamentosMB = $tabelaPagamentosMB;
        }
        return $this;
    }
    /**
     * Get mensagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMensagem()
    {
        return isset($this->mensagem) ? $this->mensagem : null;
    }
    /**
     * Set mensagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mensagem
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public function setMensagem($mensagem = null)
    {
        // validation for constraint: string
        if (!is_null($mensagem) && !is_string($mensagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mensagem)), __LINE__);
        }
        if (is_null($mensagem) || (is_array($mensagem) && empty($mensagem))) {
            unset($this->mensagem);
        } else {
            $this->mensagem = $mensagem;
        }
        return $this;
    }
    /**
     * Get sucesso value
     * @return bool|null
     */
    public function getSucesso()
    {
        return $this->sucesso;
    }
    /**
     * Set sucesso value
     * @param bool $sucesso
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public function setSucesso($sucesso = null)
    {
        // validation for constraint: boolean
        if (!is_null($sucesso) && !is_bool($sucesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sucesso)), __LINE__);
        }
        $this->sucesso = $sucesso;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DevolveDocumentosPagosMBResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
